<?php
/*/ ?l=addtorg&card=$card[id]&coord=$sel /*/
if(isset($_GET['card']))
{
$card_id=abs(intval($_GET['card']));
}else{$card_id=0;}
if(isset($_GET['coord']))
{
$coord=ft_nic($_GET['coord']);
}else{$coord='';}
$card=mysql_fetch_assoc(mysql_query("SELECT * FROM `location` WHERE `id`='$card_id' LIMIT 1"));
if(!$card){mset_err("Карта не найдена");header("Location: ?l=torgs");exit;}
$torg=get_torg($card_id, $coord);
if($torg){mset_err("Здесь уже торгует $torg[name] ");header("Location: ?l=torgs");exit;}
if(!$torg)
{
  if(isset($_POST['saved']))
  {
  #echo "проверяем и сохраняем данные";
  $accept_type=array('image/gif'=>'gif','image/png'=>'png','image/jpeg'=>'jpg');
  $errors='';
  if($_FILES['file'])
  {
  if(!isset($accept_type[$_FILES['file']['type']])){$errors.="недопустимый тип файла<br />";$file_ras='';}else{$file_ras=$accept_type[$_FILES['file']['type']];}
  }else{$errors.="Аватар торговца не был загружен<br />";}  
  $name=ft_nic($_POST['name']);
  if(strlen2($name)>125 or strlen2($name)<3)$errors.="неверная длина имени торговца (3-125)<br />";
    if($errors=='')
    {
    mysql_query("INSERT INTO `torgs` SET
         `name`='$name',
         `id_card`='$card[id]',
         `coord`='$coord'
          ");
          if(mysql_affected_rows())
          {
          $insert_id=mysql_insert_id();
          move_uploaded_file($_FILES['file']['tmp_name'], H."/img/torg/$insert_id.$file_ras");
          mset_msg("Торговец $name успешно создан");
          mysql_query("UPDATE `torgs` SET `ico`='$insert_id.$file_ras' WHERE `id`='$insert_id' LIMIT 1");
          header("Location: ?l=torgs");exit;
          }else{mset_err("Ошибка создания торговца!");}
    }
mset_err($errors);
header("Location: ?l=torgs");exit; 
  }else{
$_SESSION['title']="Добавление торговца в локацию <b>$card[name] [$coord]</b>";
heads($headers_page, $set_ob_start);   //подключение шапки
echo "вывод формы для добавления торговца<br />";
echo "<form class='c03' enctype='multipart/form-data'  action='' method='post'>";
echo "Аватарка торговца<br /> <input type='file' size='2' name='file' accept='image/*,image/gif,image/png,image/jpeg' /><br />";
echo "Имя торговца<br /> <input type='text' name='name' /><br />";
echo "<input type='submit' name='saved' value='сохранить' /><br />";
echo "</form>";}
//
}
?>